Name:           frei0r
Version:        2.3.3
Release:        %mkrel 4
Summary:        A minimalistic plugin API for video effects
Group:          System/Libraries
License:        GPLv2+
URL:            https://frei0r.dyne.org/
Source0:        https://github.com/dyne/frei0r/archive/v%{version}/frei0r-plugins-%{version}.tar.gz
Patch0:         frei0r-2.3.3-cmake4.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(gavl) >= 0.2.3
BuildRequires:  pkgconfig(opencv) >= 3.4.0
Provides:       frei0r-plugins = %{version}-%{release}

%description
It is a minimalistic plugin API for video sources and filters. The behaviour of
the effects can be controlled from the host by simple parameters. The intent is
to solve the recurring reimplementation or adaptation issue of standard effect

%package        devel
Summary:        Development files for %{name}
Group:          Development/Other

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

# Remove these, they'll be %%doc'ed
rm -rf %{buildroot}%{_docdir}/%{name}-plugins

%files
%doc AUTHORS ChangeLog README.md
%license COPYING
%dir %{_libdir}/%{name}-1
%{_libdir}/%{name}-1/*.so

%files devel
%{_includedir}/frei0r.h
%{_libdir}/pkgconfig/frei0r.pc


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 2.3.3-4.mga10
+ Revision: 2227664
- Mageia 10 Mass Rebuild

* Sat Jun 28 2025 danf <danf> 2.3.3-3.mga10
+ Revision: 2216590
- Fix building with cmake4

* Sat Sep 14 2024 wally <wally> 2.3.3-2.mga10
+ Revision: 2096244
- rebuild for opencv 4.10.0

* Thu Jul 04 2024 daviddavid <daviddavid> 2.3.3-1.mga10
+ Revision: 2079689
- new version: 2.3.3

* Sat May 06 2023 daviddavid <daviddavid> 1.8.0-4.mga9
+ Revision: 1955981
- rebuild to fix libdir path in pkgconfig file

* Wed Nov 02 2022 ghibo <ghibo> 1.8.0-3.mga9
+ Revision: 1901474
- Rebuild for newer opencv

* Tue Nov 01 2022 ghibo <ghibo> 1.8.0-2.mga9
+ Revision: 1900938
- Rebuild against opencv 4.6.0

* Tue Apr 05 2022 kekepower <kekepower> 1.8.0-1.mga9
+ Revision: 1844774
- Update to version 1.8.0

* Sat Apr 02 2022 umeabot <umeabot> 1.7.0-5.mga9
+ Revision: 1840519
- Mageia 9 Mass Rebuild

* Mon Dec 27 2021 wally <wally> 1.7.0-4.mga9
+ Revision: 1764544
- rebuild for opencv 4.5.5

* Tue Nov 03 2020 akien <akien> 1.7.0-3.mga8
+ Revision: 1641970
- Rebuild against opencv 4.5

* Wed Feb 19 2020 umeabot <umeabot> 1.7.0-2.mga8
+ Revision: 1544520
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 daviddavid <daviddavid> 1.7.0-1.mga8
+ Revision: 1483112
- new version: 1.7.0
- rebuild for new opencv 4.2.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Jan 28 2019 daviddavid <daviddavid> 1.6.1-4.mga7
+ Revision: 1361700
- add upstream patch to fix build with opencv >= 3.4.2

* Sun Sep 23 2018 umeabot <umeabot> 1.6.1-3.mga7
+ Revision: 1297784
- Mageia 7 Mass Rebuild

* Fri Apr 13 2018 daviddavid <daviddavid> 1.6.1-2.mga7
+ Revision: 1218295
- rebuild for new opencv 3.4.1
+ kekepower <kekepower>
- Use new make macros

* Sat Oct 21 2017 zezinho <zezinho> 1.6.1-1.mga7
+ Revision: 1172986
- new version

* Sat Dec 17 2016 luigiwalser <luigiwalser> 1.5.0-1.mga6
+ Revision: 1075752
- 1.5.0
- update source URL
- add patches from debian to fix build

* Tue Sep 13 2016 luigiwalser <luigiwalser> 1.4-8.mga6
+ Revision: 1052294
+ rebuild (emptylog)

* Tue Sep 13 2016 luigiwalser <luigiwalser> 1.4-7.mga6.tainted
+ Revision: 1051737
- remove frei0r-devel dependency on frei0r

* Thu Feb 04 2016 umeabot <umeabot> 1.4-5.mga6
+ Revision: 935034
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 751007
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.4-3.mga5
+ Revision: 679356
- Mageia 5 Mass Rebuild

* Tue Aug 26 2014 luigiwalser <luigiwalser> 1.4-2.mga5
+ Revision: 668351
- rebuild

* Wed May 21 2014 luigiwalser <luigiwalser> 1.4-1.mga5
+ Revision: 624813
- 1.4
- update source URL

* Fri Oct 18 2013 umeabot <umeabot> 1.3-6.mga4
+ Revision: 504650
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.3-5.mga3
+ Revision: 350960
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue May 29 2012 fwang <fwang> 1.3-4.mga3
+ Revision: 249009
- rebuild for new opencv

* Sat Aug 13 2011 fwang <fwang> 1.3-3.mga2
+ Revision: 132940
- rebuild for new opencv

* Thu Jun 09 2011 dams <dams> 1.3-2.mga2
+ Revision: 102363
- add a provide to frei0r-plugins

* Thu Jun 09 2011 ahmad <ahmad> 1.3-1.mga2
+ Revision: 102162
- Adapt the spec to the Mageia packaging guide lines
- Update to 1.3
- imported package frei0r-plugins


* Thu Jun 09 2011 dams <dams> 1.3-2.mga2
+ Revision: 102363
- add a provide to frei0r-plugins

* Thu Jun 09 2011 ahmad <ahmad> 1.3-1.mga2
+ Revision: 102162
- Adapt the spec to the Mageia packaging guide lines
- Update to 1.3
- imported package frei0r-plugins

